Name:           lv2-fomp-plugins
Version:        1.0.0
Release:        1%{?dist}
Summary:        A collection of LV2 plugins

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://drobilla.net/
Source0:        http://download.drobilla.net/fomp-1.0.0.tar.bz2

BuildRequires:  lv2-devel
BuildRequires:  python
Requires:       lv2

%description
Fomp is an LV2 port of the MCP, VCO, FIL, and WAH plugins by Fons Adriaensen.

There are 13 plugins in total: 1 auto-wah, 1 EQ, 3 chorus, 5 filters, and 3 
oscillators.

The plugin implementations are identical to their LADSPA forebears, except 
the primary frequency port of oscillators and filters has been converted to
Hz to facilitate use in any host without assuming the hidden tuning frequency 
of AlsaModularSynth. All other frequency ports remain as they were, using 
octaves for faithful Moog-like modulation.

%prep
%setup -q -n fomp-%{version} 

%build
export CXXFLAGS="%{optflags}"
./waf configure -v --prefix=%{_prefix} --libdir=%{_libdir} 
./waf -v build %{?_smp_mflags}

%install
./waf install --destdir=%{buildroot} 

%files
%doc COPYING README NEWS AUTHORS
%{_libdir}/lv2/fomp.lv2

%changelog
* Mon Dec 17 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-1 
- Initial build

